//
// Created by jedi on 25.06.21.
//

#ifndef FIRMWARE_SYSTEM_H
#define FIRMWARE_SYSTEM_H

#include <stdint.h>
#include "types.h"

#ifdef __cplusplus
extern "C" {
#endif

void system_clear_config();

void system_init_config();

void system_otaflash_init();

enum return_code system_otaflash_chunk(uint8_t *data, uint16_t len, uint16_t seq, uint32_t hash, uint16_t *ack);

enum return_code system_otaflash_verify_and_switch(uint32_t len, uint32_t hash);

#ifdef __cplusplus
}
#endif

#endif //FIRMWARE_SYSTEM_H
